Bug 260067 - databases/py-asyncpg: fix build with python 3.11
Summary: databases/py-asyncpg: fix build with python 3.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-26 18:18 UTC by Dmitry Marakasov
Modified: 2021-12-03 15:18 UTC (History)
0 users

See Also:
farrokhi: maintainer-feedback+


Attachments
Patch (1.47 KB, patch)
2021-11-26 18:18 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2021-11-26 18:18:38 UTC
Created attachment 229746 [details]
Patch

Force regeneration of cython files and remove limit on required cython version to fix build with cython-devel which is currently the only versions with python 3.11 support. This fixes build errors with python 3.11 and possibly future versions.
Comment 1 Babak Farrokhi freebsd_committer 2021-11-27 10:42:02 UTC
LGTM! Thanks!
Comment 2 commit-hook freebsd_committer 2021-12-03 15:18:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a97113cd3943a879380fbbcf5dfddcd6004bdccb

commit a97113cd3943a879380fbbcf5dfddcd6004bdccb
Author:     Dmitry Marakasov <amdmi3@FreeBSD.org>
AuthorDate: 2021-11-26 17:36:04 +0000
Commit:     Dmitry Marakasov <amdmi3@FreeBSD.org>
CommitDate: 2021-12-03 15:15:30 +0000

    databases/py-asyncpg: fix build with python 3.11

    PR:             260067
    Approved by:    farrokhi (maintainer)

 databases/py-asyncpg/Makefile                   |  6 +++++-
 databases/py-asyncpg/files/patch-setup.py (new) | 11 +++++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)